> ## Documentation Index
> Fetch the complete documentation index at: https://docs.x.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Mutes

> X API v2 Mutes 엔드포인트를 사용하여 인증된 사용자를 대신하여 계정을 뮤트/뮤트 해제하고, X에서 그 사용자가 뮤트한 전체 사용자 목록을 조회합니다.

export const Button = ({href, children}) => {
  return <div className="not-prose">
    <a href={href}>
      <button className="x-btn">
        <span>{children}</span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

Mutes 엔드포인트를 사용하면 사용자를 뮤트하거나 뮤트 해제하고, 인증된 사용자가 뮤트한 사용자 목록을 조회할 수 있습니다.

## 개요

<CardGroup cols={2}>
  <Card title="뮤트" icon="volume-xmark">
    사용자 뮤트
  </Card>

  <Card title="뮤트 해제" icon="volume-high">
    사용자 뮤트 해제
  </Card>

  <Card title="뮤트된 사용자" icon="https://mintcdn.com/x-preview/ygI6sSJPehlc0qNT/icons/xds/icon-bulleted-list.svg?fit=max&auto=format&n=ygI6sSJPehlc0qNT&q=85&s=b9bf8323233df59c682b0fec8e3f88d5" width="24" height="24" data-path="icons/xds/icon-bulleted-list.svg">
    뮤트된 사용자 목록 가져오기
  </Card>
</CardGroup>

***

## 엔드포인트

| Method | Endpoint                                                                      | Description  |
| :----- | :---------------------------------------------------------------------------- | :----------- |
| GET    | [`/2/users/:id/muting`](/x-api/users/get-muting)                              | 뮤트된 사용자 가져오기 |
| POST   | [`/2/users/:id/muting`](/x-api/users/mute-user)                               | 사용자 뮤트       |
| DELETE | [`/2/users/:source_user_id/muting/:target_user_id`](/x-api/users/unmute-user) | 사용자 뮤트 해제    |

***

## 예시: 뮤트된 사용자 가져오기

```bash theme={null}
curl "https://api.x.com/2/users/123456789/muting?\
user.fields=username,description" \
  -H "Authorization: Bearer $USER_ACCESS_TOKEN"
```

## 예시: 사용자 뮤트하기

```bash theme={null}
curl -X POST "https://api.x.com/2/users/123456789/muting" \
  -H "Authorization: Bearer $USER_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"target_user_id": "9876543210"}'
```

***

## 시작하기

<Note>
  **사전 요구사항**

  * 승인된 [developer account](https://developer.x.com/en/portal/petition/essential/basic-info)
  * Developer Console 내의 [Project와 App](/resources/fundamentals/developer-apps)
  * [OAuth 2.0 PKCE](/resources/fundamentals/authentication#oauth-2-0-authorization-code-flow-with-pkce-2)를 통해 얻은 User Access Token
</Note>

<CardGroup cols={2}>
  <Card title="Mutes lookup 퀵스타트" icon="https://mintcdn.com/x-preview/ygI6sSJPehlc0qNT/icons/xds/icon-bulleted-list.svg?fit=max&auto=format&n=ygI6sSJPehlc0qNT&q=85&s=b9bf8323233df59c682b0fec8e3f88d5" href="/x-api/users/mutes/quickstart/mutes-lookup" width="24" height="24" data-path="icons/xds/icon-bulleted-list.svg">
    뮤트된 사용자 가져오기
  </Card>

  <Card title="Manage mutes 퀵스타트" icon="volume-xmark" href="/x-api/users/mutes/quickstart/manage-mutes-quickstart">
    사용자 뮤트 및 뮤트 해제
  </Card>

  <Card title="통합 가이드" icon="https://mintcdn.com/x-preview/Vn2KEkZaPF9LiPi3/icons/xds/icon-book.svg?fit=max&auto=format&n=Vn2KEkZaPF9LiPi3&q=85&s=22ac564792481d14ae36a941546039c8" href="/x-api/users/mutes/integrate" width="24" height="24" data-path="icons/xds/icon-book.svg">
    핵심 개념 및 모범 사례
  </Card>

  <Card title="API 레퍼런스" icon="https://mintcdn.com/x-preview/ygI6sSJPehlc0qNT/icons/xds/icon-code.svg?fit=max&auto=format&n=ygI6sSJPehlc0qNT&q=85&s=488e23401b19225b89acc0136d242219" href="/x-api/users/get-muting" width="24" height="24" data-path="icons/xds/icon-code.svg">
    전체 엔드포인트 문서
  </Card>
</CardGroup>
